Go Down

Topic: WiFi Rev2 Firmware update "Error validating flashed firmware" (Read 11751 times) previous topic - next topic

jwalters1955

IDE: Arduino 1.8.8 running on network booted Raspberry Pi 3 B+.

Update of WiFinina firmware from 1.0.0 (as supplied) to 1.2.1.

Running CheckFirmwareVersion returned V1.0.0.

Loaded "FirmwareUpdater" sketch and ran the "WiFi101 / WiFiNINA Firmware updater" plugin.

Selected "Arduino Uno WiFi Rev2(/dev/ttyACM0)" and  "NINA firmware(1.2.1)(Arduino Uno WiFi Rev2)"

"Test Connection" reports that the programmer is working.

"Update Firmware" erases the target and programs 880640 bytes. This takes about two minutes. The plugin then reports  "Error validating flashed firmware".

The console reports;
java.lang.Exception: Error validating flashed firmware.
        at cc.arduino.plugins.wifi101.flashers.java.Ninaflasher.updateFirmware(NinaFlasher.java:106)
        at cc.arduino.plugins.wifi101.UpdaterImpl$2.run(Updater.Impl.java:196)


"CheckFirmwareVersion" now reports "Communication with WiFi module failed" although reloading the updater sketch and "Test Connection" still reports "Programmer is working"

I've re-run the process a couple of times but to no avail.

WiFi processor effectively bricked!!!

Does anyone out there know what's wrong and how to recover?

St3v3C

I had the same issue. As far as I remember I tried it a few times and eventually it worked. I updated to version 1.2.4. Try cycling the USB plug and good luck.

Go Up